<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelNavMesh Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelNavMesh Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelNavMesh" --><!-- doxytag: inherits="iBase" -->
<p>Polygon mesh representing the navigable areas of a Sector.  
 <a href="structiCelNavMesh.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="celnavmesh_8h_source.html">tools/celnavmesh.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelNavMesh:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelNavMesh.png" usemap="#iCelNavMesh_map" alt=""/>
  <map id="iCelNavMesh_map" name="iCelNavMesh_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,88,24"/>
</map>
 </div></div>

<p><a href="structiCelNavMesh-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a><br class="typebreak"/>
&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#ad8c8e10cd66534fcad8977f9625c4688">GetAgentDebugMeshes</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;pos) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render proxy agent.  <a href="#ad8c8e10cd66534fcad8977f9625c4688"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a><br class="typebreak"/>
&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#afd408fdc44b38d06361b606fd33ef011">GetAgentDebugMeshes</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;pos, int red, int green, int blue, int alpha) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render proxy agent of the specified color.  <a href="#afd408fdc44b38d06361b606fd33ef011"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#ac8bb43d465f095480a69484b30c1b65d">GetBoundingBox</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get navigation mesh bounding box.  <a href="#ac8bb43d465f095480a69484b30c1b65d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a><br class="typebreak"/>
&lt; <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#a85e53939fcd5a1ed9bf7be96a5ec0334">GetDebugMeshes</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Render navigation mesh.  <a href="#a85e53939fcd5a1ed9bf7be96a5ec0334"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#adc81b9daa5e169826447041c5566bf48">GetParameters</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get navigation mesh parameters.  <a href="#adc81b9daa5e169826447041c5566bf48"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#adc66323b7f2c96224f9f20ffb95b05e2">GetSector</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get navigation mesh sector.  <a href="#adc66323b7f2c96224f9f20ffb95b05e2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#afa9fad1efa99c9ad8e477b7a76f8d6f4">SaveToFile</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> *file) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save to file.  <a href="#afa9fad1efa99c9ad8e477b7a76f8d6f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#ac187f3d7d4c3d468a834a5fd4d5ac711">SetSector</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *sector)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set navigation mesh sector.  <a href="#ac187f3d7d4c3d468a834a5fd4d5ac711"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#ab49f6ec9d338a840328b113435ebb829">ShortestPath</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;from, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;goal, int maxPathSize=32)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find the shortest path between two points.  <a href="#ab49f6ec9d338a840328b113435ebb829"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#a758874a34e2103a4512a9c1e461aa6a2">Update</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a> &amp;boundingBox)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the tiles of the navigation mesh that intersect with an axis aligned bounding box.  <a href="#a758874a34e2103a4512a9c1e461aa6a2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelNavMesh.html#ae067e496057c2950b1f7c8563581f4ec">Update</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsOBB.html">csOBB</a> &amp;boundingBox)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the tiles of the navigation mesh that intersect with an oriented bounding box.  <a href="#ae067e496057c2950b1f7c8563581f4ec"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Polygon mesh representing the navigable areas of a Sector. </p>

<p>Definition at line <a class="el" href="celnavmesh_8h_source.html#l00195">195</a> of file <a class="el" href="celnavmesh_8h_source.html">celnavmesh.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad8c8e10cd66534fcad8977f9625c4688"></a><!-- doxytag: member="iCelNavMesh::GetAgentDebugMeshes" ref="ad8c8e10cd66534fcad8977f9625c4688" args="(const csVector3 &amp;pos) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a>&lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a>&gt;* <a class="el" href="structiCelNavMesh.html#ad8c8e10cd66534fcad8977f9625c4688">iCelNavMesh::GetAgentDebugMeshes</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Render proxy agent. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The user is responsible for freeing the returned pointer. </dd></dl>

</div>
</div>
<a class="anchor" id="afd408fdc44b38d06361b606fd33ef011"></a><!-- doxytag: member="iCelNavMesh::GetAgentDebugMeshes" ref="afd408fdc44b38d06361b606fd33ef011" args="(const csVector3 &amp;pos, int red, int green, int blue, int alpha) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a>&lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a>&gt;* <a class="el" href="structiCelNavMesh.html#ad8c8e10cd66534fcad8977f9625c4688">iCelNavMesh::GetAgentDebugMeshes</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>red</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>green</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>blue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>alpha</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Render proxy agent of the specified color. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The user is responsible for freeing the returned pointer. </dd></dl>

</div>
</div>
<a class="anchor" id="ac8bb43d465f095480a69484b30c1b65d"></a><!-- doxytag: member="iCelNavMesh::GetBoundingBox" ref="ac8bb43d465f095480a69484b30c1b65d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a> <a class="el" href="structiCelNavMesh.html#ac8bb43d465f095480a69484b30c1b65d">iCelNavMesh::GetBoundingBox</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get navigation mesh bounding box. </p>

</div>
</div>
<a class="anchor" id="a85e53939fcd5a1ed9bf7be96a5ec0334"></a><!-- doxytag: member="iCelNavMesh::GetDebugMeshes" ref="a85e53939fcd5a1ed9bf7be96a5ec0334" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsList.html">csList</a>&lt;<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structcsSimpleRenderMesh.html">csSimpleRenderMesh</a>&gt;* <a class="el" href="structiCelNavMesh.html#a85e53939fcd5a1ed9bf7be96a5ec0334">iCelNavMesh::GetDebugMeshes</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Render navigation mesh. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The user is responsible for freeing the returned pointer. </dd></dl>

</div>
</div>
<a class="anchor" id="adc81b9daa5e169826447041c5566bf48"></a><!-- doxytag: member="iCelNavMesh::GetParameters" ref="adc81b9daa5e169826447041c5566bf48" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelNavMeshParams.html">iCelNavMeshParams</a>* <a class="el" href="structiCelNavMesh.html#adc81b9daa5e169826447041c5566bf48">iCelNavMesh::GetParameters</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get navigation mesh parameters. </p>

</div>
</div>
<a class="anchor" id="adc66323b7f2c96224f9f20ffb95b05e2"></a><!-- doxytag: member="iCelNavMesh::GetSector" ref="adc66323b7f2c96224f9f20ffb95b05e2" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a>* <a class="el" href="structiCelNavMesh.html#adc66323b7f2c96224f9f20ffb95b05e2">iCelNavMesh::GetSector</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get navigation mesh sector. </p>

</div>
</div>
<a class="anchor" id="afa9fad1efa99c9ad8e477b7a76f8d6f4"></a><!-- doxytag: member="iCelNavMesh::SaveToFile" ref="afa9fad1efa99c9ad8e477b7a76f8d6f4" args="(iFile *file) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelNavMesh.html#afa9fad1efa99c9ad8e477b7a76f8d6f4">iCelNavMesh::SaveToFile</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiFile.html">iFile</a> *&#160;</td>
          <td class="paramname"><em>file</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save to file. </p>

</div>
</div>
<a class="anchor" id="ac187f3d7d4c3d468a834a5fd4d5ac711"></a><!-- doxytag: member="iCelNavMesh::SetSector" ref="ac187f3d7d4c3d468a834a5fd4d5ac711" args="(iSector *sector)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelNavMesh.html#ac187f3d7d4c3d468a834a5fd4d5ac711">iCelNavMesh::SetSector</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSector.html">iSector</a> *&#160;</td>
          <td class="paramname"><em>sector</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set navigation mesh sector. </p>

</div>
</div>
<a class="anchor" id="ab49f6ec9d338a840328b113435ebb829"></a><!-- doxytag: member="iCelNavMesh::ShortestPath" ref="ab49f6ec9d338a840328b113435ebb829" args="(const csVector3 &amp;from, const csVector3 &amp;goal, int maxPathSize=32)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelNavMeshPath.html">iCelNavMeshPath</a>* <a class="el" href="structiCelNavMesh.html#ab49f6ec9d338a840328b113435ebb829">iCelNavMesh::ShortestPath</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>from</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>goal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>maxPathSize</em> = <code>32</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find the shortest path between two points. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">from</td><td>Origin of the path. </td></tr>
    <tr><td class="paramname">goal</td><td>Destination of the path. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to the shortest path between the two points, or 0 in case something went wrong. </dd></dl>

</div>
</div>
<a class="anchor" id="a758874a34e2103a4512a9c1e461aa6a2"></a><!-- doxytag: member="iCelNavMesh::Update" ref="a758874a34e2103a4512a9c1e461aa6a2" args="(const csBox3 &amp;boundingBox)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelNavMesh.html#a758874a34e2103a4512a9c1e461aa6a2">iCelNavMesh::Update</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsBox3.html">csBox3</a> &amp;&#160;</td>
          <td class="paramname"><em>boundingBox</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update the tiles of the navigation mesh that intersect with an axis aligned bounding box. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">boundingBox</td><td>Bounding box representing the area to be updated. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True in case everything went right and false otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="ae067e496057c2950b1f7c8563581f4ec"></a><!-- doxytag: member="iCelNavMesh::Update" ref="ae067e496057c2950b1f7c8563581f4ec" args="(const csOBB &amp;boundingBox)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelNavMesh.html#a758874a34e2103a4512a9c1e461aa6a2">iCelNavMesh::Update</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsOBB.html">csOBB</a> &amp;&#160;</td>
          <td class="paramname"><em>boundingBox</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update the tiles of the navigation mesh that intersect with an oriented bounding box. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">boundingBox</td><td>Bounding box representing the area to be updated. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True in case everything went right and false otherwise. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="celnavmesh_8h_source.html">celnavmesh.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
